image: alpine

job1:
  when: manual
  trigger:
    include: child/.gitlab-ci.yml

job2:
  when: manual
  script:
    - date

trigger:
  script:
    - apk add curl jq

    - >
      function apiget() {
        curl -sS --header "PRIVATE-TOKEN: $PROJECT_ACCESS_TOKEN" $CI_API_V4_URL/projects/${CI_PROJECT_ID}$1
      }

    - >
      function apipost() {
        curl -sS --request POST --header "Content-Type: application/json" --header "PRIVATE-TOKEN: $PROJECT_ACCESS_TOKEN" $CI_API_V4_URL/projects/${CI_PROJECT_ID}$1
      }

    - >
      JOB1_ID=$(apiget /pipelines/$CI_PIPELINE_ID/bridges|jq '.[] | select(.name=="job1").id')

    - echo JOB1_ID is $JOB1_ID

    - >
      JOB2_ID=$(apiget /pipelines/$CI_PIPELINE_ID/jobs|jq '.[] | select(.name=="job2").id')

    - echo JOB2_ID is $JOB2_ID

    - apipost /jobs/$JOB2_ID/play|jq # Works for a normal job

    - apipost /jobs/$JOB1_ID/play|jq # Does not work for a bridge job
